Class List Method List File List

# Module: Yast::NfsWizardsInclude

Defined in:
  ../../src/include/nfs/wizards.rb

## Instance Method Summary (collapse)

- - (Object) initialize_nfs_wizards(include_target)
- - (Object) MainSequence

  Configuration of NFS client without Read and Write.

- - (Object) NfsSequence

  Whole configuration of NFS client.

## Instance Method Details

### - (`Object`) initialize_nfs_wizards(include_target)

    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    # File '../../src/include/nfs/wizards.rb', line 11

    def initialize_nfs_wizards(include_target)
      Yast.import "UI"

      textdomain "nfs"

      Yast.import "Sequencer"
      Yast.import "Wizard"

      Yast.include include_target, "nfs/ui.rb"
    end

### - (`Object`) MainSequence

Configuration of NFS client without Read and Write

Returns:

- sequence result

    25
    26
    27
    # File '../../src/include/nfs/wizards.rb', line 25

    def MainSequence
      FstabDialog()
    end

### - (`Object`) NfsSequence

Whole configuration of NFS client

Returns:

- sequence result

    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    # File '../../src/include/nfs/wizards.rb', line 31

    def NfsSequence
      aliases = {
        "read"  => [lambda { ReadDialog() }, true],
        "main"  => lambda { MainSequence() },
        "write" => [lambda { WriteDialog() }, true]
      }

      sequence = {
        "ws_start" => "read",
        "read"     => { :abort => :abort, :next => "main" },
        "main"     => { :abort => :abort, :next => "write" },
        "write"    => { :abort => :abort, :next => :next }
      }

      Wizard.OpenOKDialog
      Wizard.SetDesktopTitleAndIcon("nfs")

      ret = Sequencer.Run(aliases, sequence)

      UI.CloseDialog
      deep_copy(ret)
    end